

layout(location = 0) in vec4 os_pos;

uniform mat4 mvp;

out vec2 pos;

void main()
{
	//pos.y = sign( pos.y ) * pow( abs(pos.y), 0.5f );
	gl_Position = mvp * os_pos;
	pos.x = 1 + gl_Position.x / gl_Position.w;
	pos.y = abs( (gl_Position.y / gl_Position.w) );
}
